You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     a...@freebsd.org
Last committer: zeis...@freebsd.org
Ident:          $FreeBSD: head/games/el/Makefile 351411 2014-04-16 18:28:47Z 
zeising $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-23_09h21m35s/logs/el-193_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-23_09h21m35s
Log:

====>> Building games/el
build started at Sat May 24 02:21:21 UTC 2014
port directory: /usr/ports/games/el
building for: FreeBSD head-amd64-default-job-16 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 amd64
maintained by: a...@freebsd.org
Makefile ident:      $FreeBSD: head/games/el/Makefile 351411 2014-04-16 
18:28:47Z zeising $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=83116
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=el-193_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
SDL_CONFIG=/usr/local/bin/sdl-config
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
SDL_CONFIG=/usr/local/bin/sdl-config PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=" -L/usr/local/lib -lX11"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/el"
EXAMPLESDIR="share/examples/el"
DATADIR="share/el"
WWWDIR="www/el"
ETCDIR="etc/el"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/el
DOCSDIR=/usr/local/share/doc/el
EXAMPLESDIR=/usr/local/share/examples/el
WWWDIR=/usr/local/www/el
ETCDIR=/usr/local/etc/el
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for el-193_1
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   el-193_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of el-193_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by el-193_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by el-193_1 for building
=> SHA256 Checksum OK for el-193.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by el-193_1 for building
===>  Extracting for el-193_1
=> SHA256 Checksum OK for el-193.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for el-193_1
===>  Applying FreeBSD patches for el-193_1
===========================================================================
=======================<phase: build-depends  >============================
===>   el-193_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1_1... done
 done
===>   Returning to build of el-193_1
===>   el-193_1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - not 
found
===>    Verifying install for /usr/local/libdata/pkgconfig/glproto.pc in 
/usr/ports/x11/glproto
===>   Installing existing package /packages/All/glproto-1.4.17.txz
Installing glproto-1.4.17... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/dri2proto.pc in 
/usr/ports/x11/dri2proto
===>   Installing existing package /packages/All/dri2proto-2.8.txz
Installing dri2proto-2.8... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on file: /usr/local/bin/sdl-config - not found
===>    Verifying install for /usr/local/bin/sdl-config in 
/usr/ports/devel/sdl12
===>   Installing existing package /packages/All/sdl-1.2.15_4,2.txz
Installing sdl-1.2.15_4,2...Installing aalib-1.4.r5_10... done
Installing libGLU-9.0.0...Installing libGL-9.1.7_1...Installing expat-2.1.0... 
done
Installing libX11-1.6.2_2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8_2...Installing xproto-7.0.25... done
 done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1_1... done
 done
 done
Installing libXdamage-1.1.4_2...Installing damageproto-1.2.1... done
Installing libXfixes-5.0.1_2...Installing fixesproto-5.0... done
 done
 done
Installing libXext-1.3.2_2,1...Installing xextproto-7.3.0... done
 done
Installing libXxf86vm-1.1.3_2...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.52...Installing libpciaccess-0.13.2_2...Installing 
pciids-20140502... done
 done
 done
Installing libglapi-9.1.7...Installing libxshmfence-1.1_2... done
 done
 done
 done
Installing libXrandr-1.4.2_2...Installing libXrender-0.9.8_2...Installing 
renderproto-0.11.1... done
 done
Installing randrproto-1.4.0... done
 done
 done
------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   Returning to build of el-193_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   el-193_1 depends on shared library: libpng15.so - not found
===>    Verifying for libpng15.so in /usr/ports/graphics/png
===>   Installing existing package /packages/All/png-1.5.18.txz
Installing png-1.5.18... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libvorbis.so - not found
===>    Verifying for libvorbis.so in /usr/ports/audio/libvorbis
===>   Installing existing package /packages/All/libvorbis-1.3.4,3.txz
Installing libvorbis-1.3.4,3...Installing libogg-1.3.1,4... done
 done
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libcal3d.so - not found
===>    Verifying for libcal3d.so in /usr/ports/graphics/cal3d
===>   Installing existing package /packages/All/cal3d-0.11.0_2.txz
Installing cal3d-0.11.0_2... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libopenal.so.1 - not found
===>    Verifying for libopenal.so.1 in /usr/ports/audio/openal-soft
===>   Installing existing package /packages/All/openal-soft-1.15.1_2.txz
Installing openal-soft-1.15.1_2... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libalut.so.1 - not found
===>    Verifying for libalut.so.1 in /usr/ports/audio/freealut
===>   Installing existing package /packages/All/freealut-1.1.0_3.txz
Installing freealut-1.1.0_3... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libGLU.so - found
===>   el-193_1 depends on shared library: libSDL.so - found
===>   el-193_1 depends on shared library: libSDL_net.so - not found
===>    Verifying for libSDL_net.so in /usr/ports/net/sdl_net
===>   Installing existing package /packages/All/sdl_net-1.2.8.txz
Installing sdl_net-1.2.8... done
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libSDL_image.so - not found
===>    Verifying for libSDL_image.so in /usr/ports/graphics/sdl_image
===>   Installing existing package /packages/All/sdl_image-1.2.12_5.txz
Installing sdl_image-1.2.12_5...Installing jpeg-8_5... done
Installing tiff-4.0.3_2...Installing freeglut-2.8.1_2...Installing 
libICE-1.0.8_2,1... done
Installing libXi-1.7.2_2,1...Installing inputproto-2.3... done
 done
 done
Installing jbigkit-1.6... done
Installing libSM-1.2.2_2,1... done
Installing libXmu-1.1.2_2,1...Installing libXt-1.1.4_2,1... done
 done
 done
Installing webp-0.4.0...Installing giflib-nox11-4.2.3_2... done
 done
 done
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
===>   Returning to build of el-193_1
===>   el-193_1 depends on shared library: libxml2.so - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for el-193_1
===========================================================================
=======================<phase: build          >============================
===>  Building for el-193_1
gmake[1]: Entering directory `/wrkdirs/usr/ports/games/el/work/el-193'
gmake[1]: Leaving directory `/wrkdirs/usr/ports/games/el/work/el-193'
gmake[1]: Entering directory `/wrkdirs/usr/ports/games/el/work/el-193'
  CC   2d_objects.o
In file included from 2d_objects.c:12:
./load_gl_extensions.h:73:8: error: unknown type name 
'PFNGLCLIENTACTIVETEXTUREPROC'; did you mean 'PFNGLCLIENTACTIVETEXTUREARBPROC'?
extern PFNGLCLIENTACTIVETEXTUREPROC ELglClientActiveTexture;
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLCLIENTACTIVETEXTUREARBPROC
/usr/local/include/GL/gl.h:2037:25: note: 'PFNGLCLIENTACTIVETEXTUREARBPROC' 
declared here
typedef void (APIENTRYP PFNGLCLIENTACTIVETEXTUREARBPROC) (GLenum texture);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:81:8: error: unknown type name 
'PFNGLLOADTRANSPOSEMATRIXDPROC'; did you mean 
'PFNGLLOADTRANSPOSEMATRIXDARBPROC'?
extern PFNGLLOADTRANSPOSEMATRIXDPROC ELglLoadTransposeMatrixd;
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLLOADTRANSPOSEMATRIXDARBPROC
/usr/local/include/GL/glext.h:7121:25: note: 'PFNGLLOADTRANSPOSEMATRIXDARBPROC' 
declared here
typedef void (APIENTRYP PFNGLLOADTRANSPOSEMATRIXDARBPROC) (const GLdouble *m);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:82:8: error: unknown type name 
'PFNGLLOADTRANSPOSEMATRIXFPROC'; did you mean 
'PFNGLLOADTRANSPOSEMATRIXFARBPROC'?
extern PFNGLLOADTRANSPOSEMATRIXFPROC ELglLoadTransposeMatrixf;
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLLOADTRANSPOSEMATRIXFARBPROC
/usr/local/include/GL/glext.h:7120:25: note: 'PFNGLLOADTRANSPOSEMATRIXFARBPROC' 
declared here
typedef void (APIENTRYP PFNGLLOADTRANSPOSEMATRIXFARBPROC) (const GLfloat *m);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:83:8: error: unknown type name 
'PFNGLMULTTRANSPOSEMATRIXDPROC'; did you mean 
'PFNGLMULTTRANSPOSEMATRIXDARBPROC'?
extern PFNGLMULTTRANSPOSEMATRIXDPROC ELglMultTransposeMatrixd;
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTTRANSPOSEMATRIXDARBPROC
/usr/local/include/GL/glext.h:7123:25: note: 'PFNGLMULTTRANSPOSEMATRIXDARBPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTTRANSPOSEMATRIXDARBPROC) (const GLdouble *m);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:84:8: error: unknown type name 
'PFNGLMULTTRANSPOSEMATRIXFPROC'; did you mean 
'PFNGLMULTTRANSPOSEMATRIXFARBPROC'?
extern PFNGLMULTTRANSPOSEMATRIXFPROC ELglMultTransposeMatrixf;
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTTRANSPOSEMATRIXFARBPROC
/usr/local/include/GL/glext.h:7122:25: note: 'PFNGLMULTTRANSPOSEMATRIXFARBPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTTRANSPOSEMATRIXFARBPROC) (const GLfloat *m);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:85:8: error: unknown type name 'PFNGLMULTITEXCOORD1DPROC'
extern PFNGLMULTITEXCOORD1DPROC ELglMultiTexCoord1d;
       ^
./load_gl_extensions.h:86:8: error: unknown type name 
'PFNGLMULTITEXCOORD1DVPROC'; did you mean 'PFNGLMULTITEXCOORD1HNVPROC'?
extern PFNGLMULTITEXCOORD1DVPROC ELglMultiTexCoord1dv;
       ^~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORD1HNVPROC
/usr/local/include/GL/glext.h:10933:25: note: 'PFNGLMULTITEXCOORD1HNVPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORD1HNVPROC) (GLenum target, GLhalfNV s);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:87:8: error: unknown type name 'PFNGLMULTITEXCOORD1FPROC'
extern PFNGLMULTITEXCOORD1FPROC ELglMultiTexCoord1f;
       ^
./load_gl_extensions.h:88:8: error: unknown type name 
'PFNGLMULTITEXCOORD1FVPROC'; did you mean 'PFNGLMULTITEXCOORD1HNVPROC'?
extern PFNGLMULTITEXCOORD1FVPROC ELglMultiTexCoord1fv;
       ^~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORD1HNVPROC
/usr/local/include/GL/glext.h:10933:25: note: 'PFNGLMULTITEXCOORD1HNVPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORD1HNVPROC) (GLenum target, GLhalfNV s);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:89:8: error: unknown type name 
'PFNGLMULTITEXCOORD1IPROC'; did you mean 'PFNGLMULTITEXCOORDP1UIPROC'?
extern PFNGLMULTITEXCOORD1IPROC ELglMultiTexCoord1i;
       ^~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORDP1UIPROC
/usr/local/include/GL/glext.h:8043:25: note: 'PFNGLMULTITEXCOORDP1UIPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORDP1UIPROC) (GLenum texture, GLenum 
type, GLuint coords);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:90:8: error: unknown type name 
'PFNGLMULTITEXCOORD1IVPROC'
extern PFNGLMULTITEXCOORD1IVPROC ELglMultiTexCoord1iv;
       ^
./load_gl_extensions.h:91:8: error: unknown type name 'PFNGLMULTITEXCOORD1SPROC'
extern PFNGLMULTITEXCOORD1SPROC ELglMultiTexCoord1s;
       ^
./load_gl_extensions.h:92:8: error: unknown type name 
'PFNGLMULTITEXCOORD1SVPROC'; did you mean 'PFNGLMULTITEXCOORD1HNVPROC'?
extern PFNGLMULTITEXCOORD1SVPROC ELglMultiTexCoord1sv;
       ^~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORD1HNVPROC
/usr/local/include/GL/glext.h:10933:25: note: 'PFNGLMULTITEXCOORD1HNVPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORD1HNVPROC) (GLenum target, GLhalfNV s);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:93:8: error: unknown type name 'PFNGLMULTITEXCOORD2DPROC'
extern PFNGLMULTITEXCOORD2DPROC ELglMultiTexCoord2d;
       ^
./load_gl_extensions.h:94:8: error: unknown type name 
'PFNGLMULTITEXCOORD2DVPROC'; did you mean 'PFNGLMULTITEXCOORD2HNVPROC'?
extern PFNGLMULTITEXCOORD2DVPROC ELglMultiTexCoord2dv;
       ^~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORD2HNVPROC
/usr/local/include/GL/glext.h:10935:25: note: 'PFNGLMULTITEXCOORD2HNVPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORD2HNVPROC) (GLenum target, GLhalfNV s, 
GLhalfNV t);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:95:8: error: unknown type name 'PFNGLMULTITEXCOORD2FPROC'
extern PFNGLMULTITEXCOORD2FPROC ELglMultiTexCoord2f;
       ^
./load_gl_extensions.h:96:8: error: unknown type name 
'PFNGLMULTITEXCOORD2FVPROC'; did you mean 'PFNGLMULTITEXCOORD2HNVPROC'?
extern PFNGLMULTITEXCOORD2FVPROC ELglMultiTexCoord2fv;
       ^~~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORD2HNVPROC
/usr/local/include/GL/glext.h:10935:25: note: 'PFNGLMULTITEXCOORD2HNVPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORD2HNVPROC) (GLenum target, GLhalfNV s, 
GLhalfNV t);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:97:8: error: unknown type name 
'PFNGLMULTITEXCOORD2IPROC'; did you mean 'PFNGLMULTITEXCOORDP2UIPROC'?
extern PFNGLMULTITEXCOORD2IPROC ELglMultiTexCoord2i;
       ^~~~~~~~~~~~~~~~~~~~~~~~
       PFNGLMULTITEXCOORDP2UIPROC
/usr/local/include/GL/glext.h:8045:25: note: 'PFNGLMULTITEXCOORDP2UIPROC' 
declared here
typedef void (APIENTRYP PFNGLMULTITEXCOORDP2UIPROC) (GLenum texture, GLenum 
type, GLuint coords);
                        ^
In file included from 2d_objects.c:12:
./load_gl_extensions.h:98:8: error: unknown type name 
'PFNGLMULTITEXCOORD2IVPROC'
extern PFNGLMULTITEXCOORD2IVPROC ELglMultiTexCoord2iv;
       ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.
gmake[1]: *** [2d_objects.o] Error 1
gmake[1]: Leaving directory `/wrkdirs/usr/ports/games/el/work/el-193'
*** Error code 1

Stop.
make: stopped in /usr/ports/games/el
===>  Cleaning for el-193_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to